class Category {
  int? id;
  String title;
  int iconCodePoint;
  String? fontFamily;

  Category({
    this.id,
    this.title = '',
    this.iconCodePoint = 0,
    this.fontFamily,
  });

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'title': title,
      'iconCodePoint': iconCodePoint,
      'fontFamily': fontFamily,
    };
  }

  factory Category.fromJson(Map<String, dynamic> json) {
    return Category(
      id: json['id'] as int?,
      title: json['title'] as String? ?? '',
      iconCodePoint: json['iconCodePoint'] as int? ?? 0,
      fontFamily: json['fontFamily'] as String?,
    );
  }
}
